#!/bin/bash

# Requires vnstat to be running on target system

# initial values
mtotal=1000 # monthly total in GB for high end cut off
dmax=40 # daily max usage value
md=`date +%d` # day of the month numerically
cmd=$(($dmax * $md)) # computed max daily
wif="eth1.2"

# now vnstat stuff, some of this is specific to openwrt

vnhourly=`vnstat -i $wif -d -s --oneline | awk -F\; '{print $6}'` # total daily usage
vnmonthly=`vnstat -i $wif -d -s --oneline | awk -F\; '{print $11}'` # monthly total usage


logger "dom $md cm $cmd vnhourly $vnhourly vnmonthly $vnmonthly";
